From 11fd6d0f1bd377ab6f3a774a6cb4a564b0a35f88 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 04 2020 04:09:23 +0000
Subject: [PATCH 961/2232] An unordered set suffices for required_trivial_aliases


---

diff --git a/syntax/types.rs b/syntax/types.rs
index 8ecc417..7eb22d4 100644
--- a/syntax/types.rs
+++ b/syntax/types.rs
@@ -14,7 +14,7 @@ pub struct Types<'a> {
     pub rust: Set<&'a Ident>,
     pub aliases: Map<&'a Ident, &'a TypeAlias>,
     pub untrusted: Map<&'a Ident, &'a ExternType>,
-    pub required_trivial_aliases: Set<&'a Ident>,
+    pub required_trivial_aliases: UnorderedSet<&'a Ident>,
 }
 
 impl<'a> Types<'a> {
@@ -140,7 +140,7 @@ impl<'a> Types<'a> {
         // we check that this is permissible. We do this _after_ scanning all
         // the APIs above, in case some function or struct references a type
         // which is declared subsequently.
-        let mut required_trivial_aliases = Set::new();
+        let mut required_trivial_aliases = UnorderedSet::new();
         let mut insist_alias_types_are_trivial = |ty: &'a Type| {
             if let Type::Ident(ident) = ty {
                 if aliases.contains_key(ident) {

